Bug 228434 - dns/powerdns-recursor: Update to 4.1.3
Summary: dns/powerdns-recursor: Update to 4.1.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kirill Ponomarev
URL: https://blog.powerdns.com/2018/05/22/...
Keywords: easy, needs-qa
Depends on:
Blocks:
 
Reported: 2018-05-23 08:35 UTC by Ralf van der Enden
Modified: 2018-05-24 20:11 UTC (History)
1 user (show)

See Also:


Attachments
PowerDNS Recursor 4.1.3 update (114.61 KB, patch)
2018-05-23 08:35 UTC, Ralf van der Enden
tremere: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf van der Enden 2018-05-23 08:35:32 UTC
Created attachment 193627 [details]
PowerDNS Recursor 4.1.3 update

This release improves the stability and resiliency of the RPZ implementation, prevents metrics gathering from slowing down the processing of DNS queries and fixes an issue related to the cleaning of EDNS Client Subnet entries from the cache.

Full changelog: https://blog.powerdns.com/2018/05/22/powerdns-recursor-4-1-3-released/

Files removed:
- files/patch-boost-1.67 (fixed upstream since this version)
Comment 2 commit-hook freebsd_committer 2018-05-23 12:21:27 UTC
A commit references this bug:

Author: krion
Date: Wed May 23 12:20:28 UTC 2018
New revision: 470696
URL: https://svnweb.freebsd.org/changeset/ports/470696

Log:
  Update to 4.1.3

  This release improves the stability and resiliency of the RPZ
  implementation, prevents metrics gathering from slowing down the
  processing of DNS queries and fixes an issue related to the cleaning
  of EDNS Client Subnet entries from the cache.

  Full changelog:
  https://blog.powerdns.com/2018/05/22/powerdns-recursor-4-1-3-released/

  PR:		228434
  Submitted by:	maintainer

Changes:
  head/dns/powerdns-recursor/Makefile
  head/dns/powerdns-recursor/distinfo
  head/dns/powerdns-recursor/files/patch-boost-1.67